---
title: Compiler le dernier PgPool-II sur Debian Etch
slug: 2-compiler-pgpool-sur-debian-etch
date: "2010-12-14T00:00:00+01:00"
categories: [DevOps]
tags:
- Debian
- PgPool-II
summary: >
  Compilation de PgPool-II sur RHEL 5.5 pour éviter l'erreur "libpq is not
  installed or libpq is old"
---

Après avoir compilé PgPool-II sur Red Hat Enterprise Linux 5.5 sans aucun
problème, j'ai essayé de le compiler sur un nouveau Debian Etch. Seulement, je
ne voulais pas installer PostgreSQL 9.0, mais simplement l'extraire des
paquets binaires fournis par Entreprisedb (avec l'option `--extract-only 1`).
Quelles que soient les options que je passais à `./configure`, cela résultait en
la même erreur :

{{< highlight text >}}
checking for PQexecPrepared in -lpq... no
configure: error: libpq is not installed or libpq is old
{{< /highlight >}}

Voici la réponse : le paquet binaire contient la libpq avec le nom
`libcrypto.so.0.9.8` (le nom RHEL) lorsque pgpool recherche `libcrypto.so.6` sur
Debian. La même chose s'applique à `libssl`. Donc un simple

{{< highlight bash >}}
ln -s libcrypto.so.0.9.8 libcrypto.so.0.9.8
ln -s libssl.so.0.9.8 libssl.so.6
{{< /highlight >}}

avant votre `./configure` résoudra le problème !
